package cn.iocoder.yudao.module.mqtt.api.path.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 发送任务给PP
 */
@Data
public class TaskToPathPlanningDTO {

    @Schema(description = "robot_task_detail 的 id")
    private String id;

    @Schema(description = "能执行此任务的机器人编号")
    private List<String> robotNoList;

    //线库: LINE + 线库号
    //普通库位: POINT + 点位号
    @Schema(description = "取的编号: 线库id+点位id")
    private String takeId;
}
